%define upstream_name	 GnuPG-Interface
%define upstream_version 0.46

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    GnuPG-Interface module for perl
Group:      Development/Perl
License:    GPL
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/GnuPG/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose) >= 0.40.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(Math::BigInt) >= 1.780.0
BuildRequires: gnupg
# For interactive tests

BuildArch:  noarch

Requires:   perl(Class::MethodMaker)
%description
GnuPG::Interface and its associated modules
are designed to provide an object-oriented
method for interacting with GnuPG, being able
to perform functions such as but not limited
to encrypting, signing, decryption, verification,
and key-listing parsing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test
#perl -mExpect -e 'my $e=Expect->spawn("make test");
#$e->expect(undef);
#exit $e->exitstatus()'

%install
%makeinstall_std

%files
%doc COPYING ChangeLog META.yml MYMETA.yml NEWS README SIGNATURE THANKS
%{perl_vendorlib}/GnuPG
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.460.0-2.mga3
+ Revision: 367835
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 0.460.0-1.mga3
+ Revision: 315072
- update to 0.46

* Mon Oct 15 2012 jquelin <jquelin> 0.450.0-1.mga3
+ Revision: 306105
- update to 0.45

* Wed Jun 15 2011 jquelin <jquelin> 0.440.0-1.mga2
+ Revision: 106969
- update to 0.44

* Thu Mar 10 2011 jquelin <jquelin> 0.430.0-1.mga1
+ Revision: 67475
- try tests without expect
- update to 0.43

* Mon Jan 24 2011 jquelin <jquelin> 0.420.0-2.mga1
+ Revision: 36287
- mageia rebuild
- imported package perl-GnuPG-Interface

